### Method

# EBackend CacheKeys remove_sync

since: 3.48

#### Declaration [src]

    gboolean
    e_cache_keys_remove_sync (
      ECacheKeys* self,
      const gchar* key,
      guint dec_ref_counts,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Dereferences use count of the `key` by `dec_ref_counts` and removes it from the cache when the reference count reaches zero. Special case is with `dec_ref_counts` is zero, in which case the key is removed regardless of the current reference count.

It’s not an error when the key doesn’t exist in the cache.

Available since: 3.48

#### Parameters

`key`

  Type: `const gchar*`

  A key to remove/dereference.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`dec_ref_counts`

  Type: `guint`

  Reference counts to drop, 0 to remove it regardless of the current reference count.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.